unit Mabsave;

interface

uses
   SysUtils, WinTypes, WinProcs, Classes, IniFiles;

type
   TMabSave = class(TComponent)
   private
      FFileName: string;

      procedure SetFilename(Value: string);
   protected
      IniFile: TIniFile;
   public
      { Public declarations }
      constructor Create(AOwner: TComponent); override;
      destructor Destroy; override;
   published
      property Filename: string read FFilename write SetFilename;
   end;

implementation

constructor TMabSave.Create(AOwner: TComponent);
begin
   inherited Create(AOwner);

   FFilename := Owner.Classname + '.ini';
end;

destructor TMabSave.Destroy;
begin
   IniFile.Free;

   inherited Destroy;
end;

procedure TMabSave.SetFilename(Value: string);
begin
   if Value = '' then
      raise Exception.Create('Filename must be have a value');

   if IniFile = nil then
   begin
      IniFIle := TIniFile.Create(Value);
      FFilename := Value;
   end

   else if Value <> Filename then
   begin
      IniFile.Free;

      IniFile := TIniFile.Create(Value);
      FFilename := Value;
   end;
end;

end.
 